import assert from 'assert';
import elGamal from '../src/elGamal.js';
import ElGamalKey from '../src/elGamalKey.js';

const size = 24;
const msg = "Hi, it's me, Mario";
const [prv, pub] = ElGamalKey.generate(size);
const cypherText = elGamal.encrypt(msg, pub);
const secretText = elGamal.decrypt(cypherText, prv);

assert.equal(msg, secretText)
